Skip to main content
Version: Latest

Image Generation

Enter a topic to generate an image related to that topic.


1. API endpoint​

POST https://app.aistudios.com/api/odin/v3/tools/image-generator

2. Request parameter​

keydesctyperequireddefault
topicTopic of the image to be generatedStringtrue-
styleStyle of the image to be generated
(PHOTOGRAPHIC | VECTOR_IMAGE | ILLUSTRATION | 3D)
StringfalsePHOTOGRAPHIC
sizeAspect ratio of the image to be generated
(LANDSCAPE | PORTRAIT | SQUARE)
StringfalseLANDSCAPE

3. Response parameters​

keydesctype
downloadUrlURL of the generated image dataString
info

The generated image data can be deleted at any time, so you should download and use the image instead of using the generated URL directly.


4. Sample Request​

curl https://app.aistudios.com/api/odin/v3/tools/image-generator  \
-H "Authorization: ${API KEY}" \
-H "Content-Type: application/json" \
-X POST \
-d '{
"topic": "Lorem Ipsum is simply dummy text of the printing and typesetting industry.\nLorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.",
"style": "PHOTOGRAPHIC",
"size": "LANDSCAPE"
}'